#!/bin/sh

INPUT="$1"
OUTPUT="$2"
CROPWIDTH="$3"
CROPHEIGHT="$4"

W=$CROPWIDTH
H=$CROPHEIGHT
SW=$((W * 8))
SH=$((H * 8))

BMP="${INPUT}.bmp"
gm convert "$INPUT" -crop ${W}x${H} -filter Point -resize ${SW}x${SH} -black-threshold 50%% "$BMP"
potrace "$BMP" -o "$OUTPUT" -i -a 1.01 -s -z black
rm -f "$BMP"
