import fontforge
import sys
import os

font = fontforge.font()

f = open(sys.argv[1])
for line in f:
    codepoint, msxcode = line.strip().split()
    codepoint = int(codepoint)
    msxcode = int(msxcode)
    glyph = font.createChar(codepoint)
    svgfile = "{:03d}.svg".format(msxcode)
    glyph.importOutlines(os.path.join(sys.argv[2], svgfile))

font.save(sys.argv[3])
font.generate(sys.argv[4])

